GET_FPC_CSR(3)

NAME
get_fpc_csr, set_fpc_csr - floating-point control register access

SYNOPSIS
#include <machine/fpu.h>
int
get_fpc_csr(void);
int
set_fpc_csr(int csr);

DESCRIPTION
The get_fpc_csr() function returns the current value of the floating-point control register. The set_fpc_csr() function replaces the value of the floating-point control register with csr and returns the previous value.

These functions are provided for IRIX compatibility, and should only be used to control the value of the FPCSR_FS bit in the floating-point control register. Portable code should use the fpgetmask(3), fpgetround(3), fpgetsticky(3), fpsetmask(3), fpsetround(3), and fpsetsticky(3) functions to inquire or alter the floating-point control register.

RETURN VALUES
The get_fpc_csr() and set_fpc_csr() functions return the (previous) value of the floating-point control register.

SEE ALSO
fpgetmask(3)